Package org.drinkless.tdlib

# Class TdApi.UserFullInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UserFullInfo

Enclosing class:
  `TdApi`

public static class TdApi.UserFullInfo extends TdApi.Object
Contains full information about a user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.FormattedText`
  `bio`
  A short user bio; may be null for bots.
  `TdApi.Birthdate`
  `birthdate`
  Birthdate of the user; may be null if unknown.
  `TdApi.BlockList`
  `blockList`
  Block list to which the user is added; may be null if none.
  `TdApi.BotInfo`
  `botInfo`
  For bots, information about the bot; may be null if the user isn't a bot.
  `TdApi.BotVerification`
  `botVerification`
  Information about verification status of the user provided by a bot; may be null if none or unknown.
  `TdApi.BusinessInfo`
  `businessInfo`
  Information about business settings for Telegram Business accounts; may be null if none.
  `boolean`
  `canBeCalled`
  True, if the user can be called.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Audio`
  `firstProfileAudio`
  The first audio file added to the user's profile; may be null if none.
  `int`
  `giftCount`
  Number of saved to profile gifts for other users or the total number of received gifts for the current user.
  `TdApi.GiftSettings`
  `giftSettings`
  Settings for gift receiving for the user.
  `int`
  `groupInCommonCount`
  Number of group chats where both the other user and the current user are a member; 0 for the current user.
  `boolean`
  `hasPostedToProfileStories`
  True, if the user has posted to profile stories.
  `boolean`
  `hasPrivateCalls`
  True, if the user can't be called due to their privacy settings.
  `boolean`
  `hasPrivateForwards`
  True, if the user can't be linked in forwarded messages due to their privacy settings.
  `boolean`
  `hasRestrictedVoiceAndVideoNoteMessages`
  True, if voice and video notes can't be sent or forwarded to the user.
  `boolean`
  `hasSponsoredMessagesEnabled`
  True, if the user always enabled sponsored messages; known only for the current user.
  `long`
  `incomingPaidMessageStarCount`
  Number of Telegram Stars that must be paid by the user for each sent message to the current user.
  `TdApi.ProfileTab`
  `mainProfileTab`
  The main tab chosen by the user; may be null if not chosen manually.
  `boolean`
  `needPhoneNumberPrivacyException`
  True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.
  `TdApi.FormattedText`
  `note`
  Note added to the user's contact; may be null if none.
  `long`
  `outgoingPaidMessageStarCount`
  Number of Telegram Stars that must be paid by the current user for each sent message to the user.
  `TdApi.UserRating`
  `pendingRating`
  The rating of the user after the next change; may be null if the user isn't the current user or there are no pending rating changes.
  `int`
  `pendingRatingDate`
  Unix timestamp when rating of the user will change to pendingRating; 0 if the user isn't the current user or there are no pending rating changes.
  `long`
  `personalChatId`
  Identifier of the personal chat of the user; 0 if none.
  `TdApi.ChatPhoto`
  `personalPhoto`
  User profile photo set by the current user for the contact; may be null.
  `TdApi.ChatPhoto`
  `photo`
  User profile photo; may be null.
  `TdApi.ChatPhoto`
  `publicPhoto`
  User profile photo visible if the main photo is hidden by privacy settings; may be null.
  `TdApi.UserRating`
  `rating`
  The current rating of the user; may be null if none.
  `boolean`
  `setChatBackground`
  True, if the user set chat background for both chat users and it wasn't reverted yet.
  `boolean`
  `supportsVideoCalls`
  True, if a video call can be created with the user.
  `boolean`
  `usesUnofficialApp`
  True, if the user uses an unofficial application that poses a security risk.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserFullInfo()`
  Contains full information about a user.
  `UserFullInfo(TdApi.ChatPhoto personalPhoto, TdApi.ChatPhoto photo, TdApi.ChatPhoto publicPhoto, TdApi.BlockList blockList, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean hasPrivateForwards, boolean hasRestrictedVoiceAndVideoNoteMessages, boolean hasPostedToProfileStories, boolean hasSponsoredMessagesEnabled, boolean needPhoneNumberPrivacyException, boolean setChatBackground, boolean usesUnofficialApp, TdApi.FormattedText bio, TdApi.Birthdate birthdate, long personalChatId, int giftCount, int groupInCommonCount, long incomingPaidMessageStarCount, long outgoingPaidMessageStarCount, TdApi.GiftSettings giftSettings, TdApi.BotVerification botVerification, TdApi.ProfileTab mainProfileTab, TdApi.Audio firstProfileAudio, TdApi.UserRating rating, TdApi.UserRating pendingRating, int pendingRatingDate, TdApi.FormattedText note, TdApi.BusinessInfo businessInfo, TdApi.BotInfo botInfo)`
  Contains full information about a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### personalPhoto

    @Nullable public TdApi.ChatPhoto personalPhoto
    User profile photo set by the current user for the contact; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.

  - ### photo

    @Nullable public TdApi.ChatPhoto photo
    User profile photo; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and personalPhoto is null, then it is the same photo as in user.profilePhoto and chat.photo.

  - ### publicPhoto

    @Nullable public TdApi.ChatPhoto publicPhoto
    User profile photo visible if the main photo is hidden by privacy settings; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and both photo and personalPhoto are null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.

  - ### blockList

    @Nullable public TdApi.BlockList blockList
    Block list to which the user is added; may be null if none.

  - ### canBeCalled

    public boolean canBeCalled
    True, if the user can be called.

  - ### supportsVideoCalls

    public boolean supportsVideoCalls
    True, if a video call can be created with the user.

  - ### hasPrivateCalls

    public boolean hasPrivateCalls
    True, if the user can't be called due to their privacy settings.

  - ### hasPrivateForwards

    public boolean hasPrivateForwards
    True, if the user can't be linked in forwarded messages due to their privacy settings.

  - ### hasRestrictedVoiceAndVideoNoteMessages

    public boolean hasRestrictedVoiceAndVideoNoteMessages
    True, if voice and video notes can't be sent or forwarded to the user.

  - ### hasPostedToProfileStories

    public boolean hasPostedToProfileStories
    True, if the user has posted to profile stories.

  - ### hasSponsoredMessagesEnabled

    public boolean hasSponsoredMessagesEnabled
    True, if the user always enabled sponsored messages; known only for the current user.

  - ### needPhoneNumberPrivacyException

    public boolean needPhoneNumberPrivacyException
    True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.

  - ### setChatBackground

    public boolean setChatBackground
    True, if the user set chat background for both chat users and it wasn't reverted yet.

  - ### usesUnofficialApp

    public boolean usesUnofficialApp
    True, if the user uses an unofficial application that poses a security risk.

  - ### bio

    @Nullable public TdApi.FormattedText bio
    A short user bio; may be null for bots.

  - ### birthdate

    @Nullable public TdApi.Birthdate birthdate
    Birthdate of the user; may be null if unknown.

  - ### personalChatId

    public long personalChatId
    Identifier of the personal chat of the user; 0 if none.

  - ### giftCount

    public int giftCount
    Number of saved to profile gifts for other users or the total number of received gifts for the current user.

  - ### groupInCommonCount

    public int groupInCommonCount
    Number of group chats where both the other user and the current user are a member; 0 for the current user.

  - ### incomingPaidMessageStarCount

    public long incomingPaidMessageStarCount
    Number of Telegram Stars that must be paid by the user for each sent message to the current user.

  - ### outgoingPaidMessageStarCount

    public long outgoingPaidMessageStarCount
    Number of Telegram Stars that must be paid by the current user for each sent message to the user.

  - ### giftSettings

    public TdApi.GiftSettings giftSettings
    Settings for gift receiving for the user.

  - ### botVerification

    @Nullable public TdApi.BotVerification botVerification
    Information about verification status of the user provided by a bot; may be null if none or unknown.

  - ### mainProfileTab

    @Nullable public TdApi.ProfileTab mainProfileTab
    The main tab chosen by the user; may be null if not chosen manually.

  - ### firstProfileAudio

    @Nullable public TdApi.Audio firstProfileAudio
    The first audio file added to the user's profile; may be null if none.

  - ### rating

    @Nullable public TdApi.UserRating rating
    The current rating of the user; may be null if none.

  - ### pendingRating

    @Nullable public TdApi.UserRating pendingRating
    The rating of the user after the next change; may be null if the user isn't the current user or there are no pending rating changes.

  - ### pendingRatingDate

    public int pendingRatingDate
    Unix timestamp when rating of the user will change to pendingRating; 0 if the user isn't the current user or there are no pending rating changes.

  - ### note

    @Nullable public TdApi.FormattedText note
    Note added to the user's contact; may be null if none.

  - ### businessInfo

    @Nullable public TdApi.BusinessInfo businessInfo
    Information about business settings for Telegram Business accounts; may be null if none.

  - ### botInfo

    @Nullable public TdApi.BotInfo botInfo
    For bots, information about the bot; may be null if the user isn't a bot.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UserFullInfo

    public UserFullInfo()
    Contains full information about a user.

  - ### UserFullInfo

    public UserFullInfo(TdApi.ChatPhoto personalPhoto, TdApi.ChatPhoto photo, TdApi.ChatPhoto publicPhoto, TdApi.BlockList blockList, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean hasPrivateForwards, boolean hasRestrictedVoiceAndVideoNoteMessages, boolean hasPostedToProfileStories, boolean hasSponsoredMessagesEnabled, boolean needPhoneNumberPrivacyException, boolean setChatBackground, boolean usesUnofficialApp, TdApi.FormattedText bio, TdApi.Birthdate birthdate, long personalChatId, int giftCount, int groupInCommonCount, long incomingPaidMessageStarCount, long outgoingPaidMessageStarCount, TdApi.GiftSettings giftSettings, TdApi.BotVerification botVerification, TdApi.ProfileTab mainProfileTab, TdApi.Audio firstProfileAudio, TdApi.UserRating rating, TdApi.UserRating pendingRating, int pendingRatingDate, TdApi.FormattedText note, TdApi.BusinessInfo businessInfo, TdApi.BotInfo botInfo)
    Contains full information about a user.
    Parameters:
      `personalPhoto` - User profile photo set by the current user for the contact; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.
      `photo` - User profile photo; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and personalPhoto is null, then it is the same photo as in user.profilePhoto and chat.photo.
      `publicPhoto` - User profile photo visible if the main photo is hidden by privacy settings; may be null. If null and user.profilePhoto is null, then the photo is empty; otherwise, it is unknown. If non-null and both photo and personalPhoto are null, then it is the same photo as in user.profilePhoto and chat.photo. This photo isn't returned in the list of user photos.
      `blockList` - Block list to which the user is added; may be null if none.
      `canBeCalled` - True, if the user can be called.
      `supportsVideoCalls` - True, if a video call can be created with the user.
      `hasPrivateCalls` - True, if the user can't be called due to their privacy settings.
      `hasPrivateForwards` - True, if the user can't be linked in forwarded messages due to their privacy settings.
      `hasRestrictedVoiceAndVideoNoteMessages` - True, if voice and video notes can't be sent or forwarded to the user.
      `hasPostedToProfileStories` - True, if the user has posted to profile stories.
      `hasSponsoredMessagesEnabled` - True, if the user always enabled sponsored messages; known only for the current user.
      `needPhoneNumberPrivacyException` - True, if the current user needs to explicitly allow to share their phone number with the user when the method addContact is used.
      `setChatBackground` - True, if the user set chat background for both chat users and it wasn't reverted yet.
      `usesUnofficialApp` - True, if the user uses an unofficial application that poses a security risk.
      `bio` - A short user bio; may be null for bots.
      `birthdate` - Birthdate of the user; may be null if unknown.
      `personalChatId` - Identifier of the personal chat of the user; 0 if none.
      `giftCount` - Number of saved to profile gifts for other users or the total number of received gifts for the current user.
      `groupInCommonCount` - Number of group chats where both the other user and the current user are a member; 0 for the current user.
      `incomingPaidMessageStarCount` - Number of Telegram Stars that must be paid by the user for each sent message to the current user.
      `outgoingPaidMessageStarCount` - Number of Telegram Stars that must be paid by the current user for each sent message to the user.
      `giftSettings` - Settings for gift receiving for the user.
      `botVerification` - Information about verification status of the user provided by a bot; may be null if none or unknown.
      `mainProfileTab` - The main tab chosen by the user; may be null if not chosen manually.
      `firstProfileAudio` - The first audio file added to the user's profile; may be null if none.
      `rating` - The current rating of the user; may be null if none.
      `pendingRating` - The rating of the user after the next change; may be null if the user isn't the current user or there are no pending rating changes.
      `pendingRatingDate` - Unix timestamp when rating of the user will change to pendingRating; 0 if the user isn't the current user or there are no pending rating changes.
      `note` - Note added to the user's contact; may be null if none.
      `businessInfo` - Information about business settings for Telegram Business accounts; may be null if none.
      `botInfo` - For bots, information about the bot; may be null if the user isn't a bot.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR